- Qt 6.10
- Qt WebSockets
- C++ Classes
- QWebSocketServer
- Qt 6.10.2 Reference Documentation

# Obsolete Members for QWebSocketServer

The following members of class QWebSocketServer are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` qintptr | nativeDescriptor() const
`(deprecated)` bool | setNativeDescriptor(qintptr socketDescriptor)

## Member Function Documentation

### `[deprecated]` qintptr QWebSocketServer::nativeDescriptor() const

This function is deprecated. We strongly advise against using it in new code.

Returns the native socket descriptor the server uses to listen for incoming instructions, or -1 if the server is not listening. If the server is using QNetworkProxy, the returned descriptor may not be usable with native socket functions.

See also setNativeDescriptor(), socketDescriptor(), and isListening().

### `[deprecated]` bool QWebSocketServer::setNativeDescriptor(qintptr socketDescriptor)

This function is deprecated. We strongly advise against using it in new code.

Sets the socket descriptor this server should use when listening for incoming connections to socketDescriptor.

Returns true if the socket is set successfully; otherwise returns false. The socket is assumed to be in listening state.

See also nativeDescriptor(), setSocketDescriptor(), and isListening().